Skip to main content
Monitoring & Collection/Profiling

GetRegressionReport

Get a single regression report by its identifier.

GET/api/v1/profiling/regression/reports/{reportId}

Operation ID

GetRegressionReport

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • reportId
    StringRequired

    Unique identifier of the regression report to retrieve.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • reportId
    String

    Unique identifier of this regression report.

    Example: rpt-xyz789

  • baselineLabel
    String

    Label of the baseline used in the regression check.

    Example: v1.2.0-release

  • compareLabel
    String

    Label of the comparison profile used in the regression check.

    Example: v1.3.0-candidate

  • profileType
    String

    Profile type used for this regression analysis.

    Example: cpu

  • regressionDetected
    Boolean

    Whether a performance regression was detected.

    Example: true

  • severity
    String

    Severity level of the detected regression.

    Example: WARNING

  • changedFunctions
    List

    Functions whose CPU usage changed between baseline and comparison.

    Example: (nested array)

    • funcName
      String

      Fully-qualified name of the function that changed.

      Example: net/http.(*Transport).roundTrip

    • baselinePct
      Long

      Function's CPU percentage in the baseline profile.

      Example: 3.2

    • comparePct
      Long

      Function's CPU percentage in the comparison profile.

      Example: 8.7

    • deltaPct
      Long

      Absolute change in percentage between baseline and comparison.

      Example: 5.5

    • direction
      String

      Direction of change for this function's resource usage.

      Example: increased

  • newHotspots
    List

    New hotspot functions appearing in the comparison profile.

    Example: (nested array)

    • funcName
      String

      Fully-qualified name of the function that changed.

      Example: net/http.(*Transport).roundTrip

    • baselinePct
      Long

      Function's CPU percentage in the baseline profile.

      Example: 3.2

    • comparePct
      Long

      Function's CPU percentage in the comparison profile.

      Example: 8.7

    • deltaPct
      Long

      Absolute change in percentage between baseline and comparison.

      Example: 5.5

    • direction
      String

      Direction of change for this function's resource usage.

      Example: increased

  • disappearedHotspots
    List

    Hotspot functions that disappeared from the comparison profile.

    Example: (nested array)

    • funcName
      String

      Fully-qualified name of the function that changed.

      Example: net/http.(*Transport).roundTrip

    • baselinePct
      Long

      Function's CPU percentage in the baseline profile.

      Example: 3.2

    • comparePct
      Long

      Function's CPU percentage in the comparison profile.

      Example: 8.7

    • deltaPct
      Long

      Absolute change in percentage between baseline and comparison.

      Example: 5.5

    • direction
      String

      Direction of change for this function's resource usage.

      Example: increased

  • createdAt
    String

    Timestamp when this regression report was created.

    Example: 2026-01-15T08:00:00Z